package com.sf.day02;

import java.util.Scanner;

/**
 * 根据dogAge计算PersonAge
 */
public class PersonAge {
    /*
    我家的狗5岁了，5岁的狗相当于人类多大呢？其实，狗的前两年每一年相当于人类的11岁，之后每增加一年就增加四岁。
    那么5岁的狗相当于人类多少年龄呢？应该是：10.5 + 10.5 + 4 + 4 + 4 = 33岁。
    编写一个程序，获取用户输入的狗的年龄，通过程序显示其相当于人类的年龄。如果用户输入负数，请显示一个提示信息。
     */
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int personAge = 0;
//        获取从控制台上输入狗的年龄
        int dogAge = scanner.nextInt();
        if(dogAge <= 0){
            System.out.println("输入错误，重新输入");
        }else if(dogAge<=2){
             personAge = dogAge * 11;
        }else if(dogAge > 2){
            personAge = (dogAge-2) * 4 + 2 *11;
        }
        System.out.println("狗的"+dogAge+"岁==="+"相当于人的年龄是"+personAge+"岁");
    }
}
